## terminology 1.3.2

=== meson_options.txt ===
option('edje-cc',
       type: 'string',
       description: 'A path to a edje_cc. Defaults to system\'s edje_cc')
option('fuzzing',
       type: 'boolean',
       value: false,
       description: 'Enable fuzzing on terminology. Binaries are not suited for production. (default=false)')
option('nls',
       type: 'boolean',
       value: true,
       description: 'enable localization: (default=true)')

## terminology 0.7.0

=== debian/changelog ===
terminology (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Removed patches included upstream, refreshed lz4 patch
  * Updated Standards-Version to 3.9.6

 -- Anthony F McInerney <afm404@gmail.com>  Thu, 16 Oct 2014 16:30:35 +0100

terminology (0.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #718031)

 -- Anthony F McInerney <afm404@gmail.com>  Mon, 25 Aug 2014 14:23:53 +0100

=== debian/control ===
Source: terminology
Section: x11
Priority: optional
Maintainer: Anthony F McInerney <afm404@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libecore-dev (>= 1.8.6),
               libedje-dev (>= 1.8.6),
               libeet-dev (>= 1.8.6),
               libeeze-dev (>= 1.8.6),
               libefreet-dev (>= 1.8.6),
               libeina-dev (>= 1.8.6),
               libeio-dev (>= 1.8.6),
               libembryo-dev (>= 1.8.6),
               libemotion-dev (>= 1.8.6),
               libethumb-dev (>= 1.8.6),
               libevas-dev (>= 1.8.6),
               libelementary-dev (>= 1.8.5),
               liblz4-dev
Standards-Version: 3.9.6
Homepage: http://enlightenment.org/p.php?p=about/terminology
Vcs-Git: http://github.com/bofh80/debian-terminology
Vcs-Browser: http://github.com/bofh80/debian-terminology

Package: terminology
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, terminology-data (= ${source:Version}), libevas1-engines-x
Suggests: libelementary-bin
Provides: x-terminal-emulator
Description: Enlightenment efl based terminal emulator
 It emulates a slightly extended vt100 with some extensions and bling
  Most escapes supported by xterm, rxvt etc. work and Xterm 256 color
  Background effects, Transparency, bitmap and scalable fonts supported
  Themes for the layout and design, and a visual bell.
  URL, file path and email address detection and link-handling
  Inline display of link content
  Multiple copy and paste selections and buffer support
  Works in X11, Wayland and directly in the Linux framebuffer (fbcon)
  Finger/touch controlled, scan scale by UI scaling factors
  Render using OpenGL or OpenGL-ES2 or Software mode.
  Can display inlined multimedia, multiple tabs and split into multiple panes
  Block text selection. Drag and drop of text selections and links
  Can stream media from URLs
  Tab switcher has live thumbnail content
  Single process, multiple windows/terminals support

Package: terminology-data
Architecture: all
Depends: ${misc:Depends}
Enhances: terminology
Description: Enlightenment efl based terminal emulator data
 It emulates a slightly extended vt100 with some extensions and bling
  Most escapes supported by xterm, rxvt etc. work and Xterm 256 color
  Background effects, Transparency, bitmap and scalable fonts supported
  Themes for the layout and design, and a visual bell.
  URL, file path and email address detection and link-handling
  Inline display of link content
  Multiple copy and paste selections and buffer support
  Works in X11, Wayland and directly in the Linux framebuffer (fbcon)
  Finger/touch controlled, scan scale by UI scaling factors
  Render using OpenGL or OpenGL-ES2 or Software mode.
  Can display inlined multimedia, multiple tabs and split into multiple panes
  Block text selection. Drag and drop of text selections and links
  Can stream media from URLs
  Tab switcher has live thumbnail content
  Single process, multiple windows/terminals support
  .
  This package provides the shared data for all architectures.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	rm -rf src/bin/lz4
	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3
http://download.enlightenment.org/rel/apps/terminology/terminology-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## terminology 0.9.1

=== debian/changelog ===
terminology (0.9.1-1) unstable; urgency=high

  [ Ross Vandegrift ]
  * New upstream release
    - Fix for "CVE-2015-8971: Escape Sequence Command Execution
      vulnerability" (Closes: #843434)
  * fix-minus-signs-manpage.patch: drop patch, fixed upstream
  * use-system-lz4.patch: defuzz
  * fix-del-backspace-key.patch: defuzz
  * Provide x-terminal-emulator alternative (Closes: #774111)
  * debian/copyright: remove unused ltmain.sh paragraph
  * Add gbp.conf and notes on usage in README.source
  * Enable build hardening options
  * Suggest libemotion-players for media support (Closes: #773057, #766705)
  * Reformat package descriptions (Closes: #779494, #782082)
  * Use secure Vcs- URLs in debian/control
  * Bump Standards-Version to 3.9.8
  * New Maintainer.  Thanks to Anthony for original work. (Closes: #844244)
  * debian/gbp.conf: import & build upstream tarballs

  [ Nicolas Braud-Santoni ]
  * Normalize links and use HTTPS

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 11 Dec 2016 12:25:35 -0500

=== debian/control ===
Source: terminology
Section: x11
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Ross Vandegrift <ross@kallisti.us>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libecore-dev (>= 1.8.6),
               libedje-dev (>= 1.8.6),
               libeet-dev (>= 1.8.6),
               libeeze-dev (>= 1.8.6),
               libefreet-dev (>= 1.8.6),
               libeina-dev (>= 1.8.6),
               libeio-dev (>= 1.8.6),
               libembryo-dev (>= 1.8.6),
               libemotion-dev (>= 1.8.6),
               libethumb-dev (>= 1.8.6),
               libevas-dev (>= 1.8.6),
               libelementary-dev (>= 1.8.5),
               liblz4-dev
Standards-Version: 3.9.8
Vcs-Git: https://github.com/bofh80/debian-terminology.git
Homepage: https://www.enlightenment.org/p.php?p=about/terminology
Vcs-Browser: https://github.com/bofh80/debian-terminology

Package: terminology
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, terminology-data (= ${source:Version}), libevas1-engines-x
Suggests: libelementary-bin, libemotion-players
Provides: x-terminal-emulator
Description: Enlightenment efl based terminal emulator
 It emulates a slightly extended vt100 with some extensions and bling:
  * Most escapes supported by xterm, rxvt, Xterm 256 color, etc. work
  * Background effects, Transparency, bitmap and scalable fonts supported
  * Themes for the layout and design, and a visual bell.
  * URL, file path and email address detection and link-handling
  * Inline display of link content
  * Multiple copy and paste selections and buffer support
  * Works in X11, Wayland and directly in the Linux framebuffer (fbcon)
  * Finger/touch controlled, scan scale by UI scaling factors
  * Render using OpenGL or OpenGL-ES2 or Software mode.
  * Can display inlined multimedia, multiple tabs and split into multiple panes
  * Block text selection. Drag and drop of text selections and links
  * Can stream media from URLs
  * Tab switcher has live thumbnail content
  * Single process, multiple windows/terminals support

Package: terminology-data
Architecture: all
Depends: ${misc:Depends}
Enhances: terminology
Description: Enlightenment efl based terminal emulator data
 It emulates a slightly extended vt100 with some extensions and bling:
  * Most escapes supported by xterm, rxvt, Xterm 256 color, etc. work
  * Background effects, Transparency, bitmap and scalable fonts supported
  * Themes for the layout and design, and a visual bell.
  * URL, file path and email address detection and link-handling
  * Inline display of link content
  * Multiple copy and paste selections and buffer support
  * Works in X11, Wayland and directly in the Linux framebuffer (fbcon)
  * Finger/touch controlled, scan scale by UI scaling factors
  * Render using OpenGL or OpenGL-ES2 or Software mode.
  * Can display inlined multimedia, multiple tabs and split into multiple panes
  * Block text selection. Drag and drop of text selections and links
  * Can stream media from URLs
  * Tab switcher has live thumbnail content
  * Single process, multiple windows/terminals support
 .
 This package provides the shared data for all architectures.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@ --parallel --with autoreconf

## terminology 1.1.1

=== debian/changelog ===
terminology (1.1.1-3) unstable; urgency=low

  [ Ross Vandegrift ]
  * Update Vcs URLs for alioth -> salsa transition

  [ Andreas Metzler ]
  * Drop dead, unapplied patches (thanks, lintian!):
    cherrypick-geneet-fix.patch
    fix-manpage-invalid-newline-charater.patch
    fix-terminology-desktop-keywords.patch
  * Upload to unstable.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 16 Apr 2018 19:20:18 +0200

terminology (1.1.1-2) experimental; urgency=low

  * d/control:
    + drop Build-Dep on libelementary-dev, it's in libefl-all-dev now
    + Update Vcs links for terminology git
    + Bump Standards-Version to 4.1.2
    + Set Rules-Requires-Root to disable building as root
  * d/copyright: use https links for Format, Source
  * Use fake_home.sh from efl for build, edje_cc writes to $HOME (Closes:
    #884019)
  * d/watch: use https in watch url

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 10 Dec 2017 12:52:34 -0800

terminology (1.1.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * debian/copyright: update for recent contributions

 -- Ross Vandegrift <ross@kallisti.us>  Fri, 22 Sep 2017 20:06:26 -0700

terminology (1.1.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Update gbp.conf for experimental branch

 -- Ross Vandegrift <ross@kallisti.us>  Mon, 04 Sep 2017 21:03:31 -0700

terminology (1.0.0-1) experimental; urgency=medium

  * debian/gbp.conf: import & build upstream tarballs
  * debian/patches/use-system-lz4.patch: fixup, defuzz
  * debian/patches/fix-del-backspace-key.patch: fixup, defuzz
  * Build-Depend on EFL >= 1.18 and simplify package list (Closes: #848370)

 -- Ross Vandegrift <ross@kallisti.us>  Fri, 13 Jan 2017 13:50:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Ross Vandegrift <ross@kallisti.us>
+Uploaders: Ross Vandegrift <ross@kallisti.us>,
+           Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libecore-dev (>= 1.8.6),
-               libedje-dev (>= 1.8.6),
-               libeet-dev (>= 1.8.6),
-               libeeze-dev (>= 1.8.6),
-               libefreet-dev (>= 1.8.6),
-               libeina-dev (>= 1.8.6),
-               libeio-dev (>= 1.8.6),
-               libembryo-dev (>= 1.8.6),
-               libemotion-dev (>= 1.8.6),
-               libethumb-dev (>= 1.8.6),
-               libevas-dev (>= 1.8.6),
-               libelementary-dev (>= 1.8.5),
+               libefl-all-dev (>= 1.18),
                liblz4-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://github.com/bofh80/debian-terminology.git
+Standards-Version: 4.1.2
 Homepage: https://www.enlightenment.org/p.php?p=about/terminology
-Vcs-Browser: https://github.com/bofh80/debian-terminology
+Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
+Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
+Rules-Requires-Root: no
 
 Package: terminology
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_configure:
 	rm -rf src/bin/lz4
 	dh_auto_configure -- --disable-silent-rules
+
+override_dh_auto_build:
+	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose

## terminology 1.2.1

=== debian/changelog ===
terminology (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #898384)

 -- Ross Vandegrift <ross@kallisti.us>  Mon, 14 May 2018 19:49:50 -0700

terminology (1.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #896930)

  [ Ross Vandegrift ]
  * d/gbp.conf: point gbp to debian/sid branch
  * d/control:
    + Bump Standards-Version to 4.1.4, no changes required.
    + Add branch name to Vcs-Git to fix vcswatch.
  * Upgrade to debhelper 11.
  * Convert to new meson build system.
  * d/patches:
    + fix-del-backspace-key.path: defuzz

  [ Andreas Metzler ]
  * refresh use-system-lz4.patch
  * update README.source with better gbp workflow.

 -- Ross Vandegrift <ross@kallisti.us>  Sat, 05 May 2018 10:37:44 -0700

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Ross Vandegrift <ross@kallisti.us>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                libefl-all-dev (>= 1.18),
-               liblz4-dev
-Standards-Version: 4.1.2
+               liblz4-dev,
+               meson
+Standards-Version: 4.1.4
 Homepage: https://www.enlightenment.org/p.php?p=about/terminology
-Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
+Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf --buildsystem=meson

override_dh_auto_build:
	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose

=== debian/watch ===
version=3
https://download.enlightenment.org/rel/apps/terminology/terminology-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## terminology 1.3.0

=== debian/changelog ===
terminology (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop remnants of lz4 support, all support removed by upstream.
  * Bump Standards-Version to 4.2.1, no changes required.
  * d/p/0002-Minor-manpage-improvements.patch: add manpage for the ty*
    helpers, fix terminology(1) header. (Closes: #836300)

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 25 Nov 2018 14:44:15 -0800

## terminology 1.3.1

=== debian/changelog ===
terminology (1.3.1-1) unstable; urgency=high

  * New upstream release.
    + Fix for CVE-2018-20167: Disable special escape handling for unknown media
      types (Closes: #916630).
  * d/p/0002-Minor-manpage-improvements.patch: drop, applied upstream

 -- Ross Vandegrift <ross@kallisti.us>  Sun, 16 Dec 2018 10:28:36 -0800

## terminology 1.3.2

=== debian/changelog ===
terminology (1.3.2-1) unstable; urgency=low

  * New upstream version 1.3.2.
  * Simplify watchfile by using @ARCHIVE_EXT@.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Dec 2018 06:42:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
            Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 11),
                libefl-all-dev (>= 1.18),
-               liblz4-dev,
                meson
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.enlightenment.org/p.php?p=about/terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology

=== debian/watch ===
version=3
https://download.enlightenment.org/rel/apps/terminology/terminology-([\d\.]+)@ARCHIVE_EXT@

## terminology 1.5.0

=== debian/changelog ===
terminology (1.5.0-2) experimental; urgency=medium

  * d/rules: only install tytest when building arch-dependent binary
    packages (Closes: #932804)

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 30 Jul 2019 17:33:39 -0700

terminology (1.5.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #912356)
  * d/tests/control: depend on gcc so dpkg-architecture doesn't complain
  * d/patches/*: defuzz, update for new release
  * d/copyright: update

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 21 Jul 2019 10:38:36 -0700

terminology (1.4.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #908843)
  * d/gbp.conf:
    + reduce duplication, make "gbp pull" easy
    + drop cleaner to fix pipeline runs
  * d/gitlab-ci.yml: enable salsa-ci pipeline
  * d/control: use my debian email
  * Enable terminology tests & autopkgtest
  * d/p/fix-del-backspace-key.patch: defuzz
  * Bump Standards-Version to 4.3.0, no changes required

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 17 Jun 2019 20:24:15 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Ross Vandegrift <ross@kallisti.us>,
+Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
 Build-Depends: debhelper (>= 11),
                libefl-all-dev (>= 1.18),
                meson
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.enlightenment.org/p.php?p=about/terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git -b debian/sid
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dtests=true

override_dh_auto_build:
	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose

override_dh_install-arch:
	dh_install usr/bin/tytest /usr/lib/$(DEB_HOST_MULTIARCH)/terminology
	dh_install

## terminology 1.6.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
        type: 'boolean',
        value: false,
        description: 'Enable fuzzing on terminology. Binaries are not suited for production. (default=false)')
+option('tests',
+       type: 'boolean',
+       value: false,
+       description: 'Enable generating tytest, used to run tests. (default=false)')
 option('nls',
        type: 'boolean',
        value: true,

=== debian/changelog ===
terminology (1.6.0-2) unstable; urgency=medium

  * Upload to unstable

  [ Salman Mohammadi ]
  * d/control: update homepage address

  [ Ross Vandegrift ]
  * d/gbp.conf: update config to point to debian/sid branch.
  * d/control: update to Standards-Version 4.5.0, no changes needed.
  * d/control: bump EFL Build-Depends to 1.20 to match upstream requirements

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 29 Jan 2020 22:30:16 -0800

terminology (1.6.0-1) experimental; urgency=medium

  * d/patches/fix-del-backspace-key.patch: defuzz
  * d/p/0002-Fix-two-tests-for-debian-packaging.patch: defuzz
  * terminology-data: mark as Multi-Arch: foreign

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 16 Nov 2019 17:35:49 -0800

terminology (1.5.0-3) experimental; urgency=medium

  * d/control:
    + bump Standards-Version to 4.4.0, no changes needed
    + update Vcs-Git branch location for experimental
  * Update to debhelper 12, compat level 12

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 10 Aug 2019 09:10:21 -0700

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 11),
-               libefl-all-dev (>= 1.18),
+Build-Depends: debhelper-compat (= 12),
+               libefl-all-dev (>= 1.20),
                meson
-Standards-Version: 4.3.0
-Homepage: https://www.enlightenment.org/p.php?p=about/terminology
-Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git -b debian/sid
+Standards-Version: 4.5.0
+Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
 Rules-Requires-Root: no
 
@@ -39,6 +38,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Enhances: terminology
+Multi-Arch: foreign
 Description: Enlightenment efl based terminal emulator data
  It emulates a slightly extended vt100 with some extensions and bling:
   * Most escapes supported by xterm, rxvt, Xterm 256 color, etc. work

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --without autoreconf --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dtests=true

=== debian/tests/control ===
Test-Command: /usr/lib/terminology/tests/run_tests.sh -v
 -t /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/terminology/tytest
 -r /usr/lib/terminology/tests/tests.results
 -d /usr/lib/terminology/tests
Depends: gcc, terminology

## terminology 1.8.0

=== debian/changelog ===
terminology (1.8.0-1) unstable; urgency=medium

  * d/patches/*: defuzz
  * d/copyright: update for changes since v1.7.0

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 27 Jul 2020 22:20:16 -0700

terminology (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * d/terminology-data.lintian-override: update line number in override
  * d/patches:
    + fix-del-backspace-key.patch: defuzz
    + 0002-Fix-tests-for-debian-packaging.patch: add new hash override
  * d/tests/control: setup a writeable $HOME for the tests

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 11 May 2020 22:29:36 -0700

=== debian/tests/control ===
Test-Command: /usr/bin/env HOME=$(mktemp -d)
 /usr/lib/terminology/tests/run_tests.sh -v
 -t /usr/lib/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/terminology/tytest
 -r /usr/lib/terminology/tests/tests.results
 -d /usr/lib/terminology/tests
Depends: gcc, terminology

## terminology 1.8.1

=== debian/changelog ===
terminology (1.8.1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Nov 2020 09:04:11 -0800

terminology (1.8.1-2) unstable; urgency=medium

  * Switch to variable in terminology.install: fix FTBFS with -A

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 12 Aug 2020 11:47:38 -0700

terminology (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * d/terminology-tests.*: remove unused files
  * Minor lintian cleanups:
    + d/p/0002-Fix-tests-for-debian-packaging.patch: set Forwarded: not-needed
    + d/control: add missing Vcs-Git info
    + Move test executatables from /usr/lib -> /usr/libexec
    + d/terminology-data.lintian-overrides: update renamed tag
  * d/control: switch to debhelper compat 13, no changes required

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 11 Aug 2020 22:56:11 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: terminology
 Section: x11
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               libefl-all-dev (>= 1.20),
-               meson
+Build-Depends: debhelper-compat (= 12), libefl-all-dev (>= 1.20), meson
 Standards-Version: 4.5.0
 Homepage: https://www.enlightenment.org/about-terminology
+Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
 Rules-Requires-Root: no
 
 Package: terminology
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, terminology-data (= ${source:Version}), libevas1-engines-x
+Depends: libevas1-engines-x,
+         terminology-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: libelementary-bin, libemotion-players
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,5 @@
 override_dh_auto_build:
 	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose
 
-override_dh_install-arch:
-	dh_install usr/bin/tytest /usr/lib/$(DEB_HOST_MULTIARCH)/terminology
-	dh_install
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## terminology 1.9.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 option('edje-cc',
        type: 'string',
        description: 'A path to a edje_cc. Defaults to system\'s edje_cc')
+option('eet',
+       type: 'string',
+       description: 'A path to a eet. Defaults to system\'s eet')
 option('fuzzing',
        type: 'boolean',
        value: false,

=== debian/changelog ===
terminology (1.9.0-2) unstable; urgency=medium

  * d/control: Depend on libevas1-engines-wayland (Closes: #985208)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 14 Mar 2021 22:46:23 -0700

terminology (1.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches
    + fix-del-backspace-key.patch: regen
    + 0002-Fix-tests-for-debian-packaging.patch: drop, fixed upstream
  * d/control: now requires Build-Depends on libeet-bin
  * move some font copyright details shipped by upstream to /usr/share/doc
  * d/copyright:
    + improve info for embedded font files
    + use BSD-2-clause format
    + apply misc cleanups from cme update dpkg-copyright (but don't adopt
      fully, I can't get it to preseve correct entries for some binaries)
    + update translation entries

 -- Ross Vandegrift <rvandegrift@debian.org>  Wed, 20 Jan 2021 23:15:33 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: terminology
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 12), libefl-all-dev (>= 1.20), meson
+Build-Depends: debhelper-compat (= 13),
+               libeet-bin,
+               libefl-all-dev (>= 1.20),
+               meson
 Standards-Version: 4.5.0
 Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
@@ -14,10 +16,7 @@
 
 Package: terminology
 Architecture: any
-Depends: libevas1-engines-x,
-         terminology-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, terminology-data (= ${source:Version}), libevas1-engines-x, libevas1-engines-wayland
 Suggests: libelementary-bin, libemotion-players
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,5 @@
 override_dh_auto_build:
 	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_install:
+	dh_install -XXFONT.txt -XTERMINUS.txt

=== debian/tests/control ===
Test-Command: /usr/bin/env HOME=$(mktemp -d)
 /usr/libexec/terminology/tests/run_tests.sh -v
 -t /usr/libexec/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/terminology/tytest
 -r /usr/libexec/terminology/tests/tests.results
 -d /usr/libexec/terminology/tests
Depends: gcc, terminology

## terminology 1.10.0

=== debian/changelog ===
terminology (1.10.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: bump Standards-Version to 4.6.0, no changes needed
  * Drop old salsa ci definition, new one will be setup in the project
  * wrap-and-sort -stbn
  * d/copyright: update for 1.10.0

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 07 Oct 2021 21:24:12 -0600

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
-           Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libeet-bin,
-               libefl-all-dev (>= 1.20),
-               meson
-Standards-Version: 4.5.0
+Uploaders:
+ Ross Vandegrift <rvandegrift@debian.org>,
+ Andreas Metzler <ametzler@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libeet-bin,
+ libefl-all-dev (>= 1.20),
+ meson,
+Standards-Version: 4.6.0
 Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
@@ -16,7 +18,12 @@
 
 Package: terminology
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, terminology-data (= ${source:Version}), libevas1-engines-x, libevas1-engines-wayland
+Depends:
+ libevas1-engines-wayland,
+ libevas1-engines-x,
+ terminology-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests: libelementary-bin, libemotion-players
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator

## terminology 1.11.0

=== debian/changelog ===
terminology (1.11.0-1) unstable; urgency=medium

  * terminology-data: cleanup lintian overrides
  * d/watch: update to version 4, simplify with special strings
  * Move expected test result data from /usr/libexec -> /usr/share
  * d/copyright: update for 1.11.0

 -- Ross Vandegrift <rvandegrift@debian.org>  Thu, 11 Nov 2021 22:19:36 -0700

## terminology 1.12.1

=== debian/changelog ===
terminology (1.12.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 May 2022 15:04:08 -0700

terminology (1.12.1-2) unstable; urgency=medium

  * d/rules: drop fake_home.sh, compat 13 provides writable $HOME and
    $XDG_*.

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 04 Apr 2022 22:52:40 -0700

terminology (1.12.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: bump Build-Depends to EFL 1.26
  * Add lintian override for checkbashisms false positive

 -- Ross Vandegrift <rvandegrift@debian.org>  Fri, 07 Jan 2022 23:22:42 -0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: terminology
 Section: x11
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders:
- Ross Vandegrift <rvandegrift@debian.org>,
- Andreas Metzler <ametzler@debian.org>,
-Build-Depends:
- debhelper-compat (= 13),
- libeet-bin,
- libefl-all-dev (>= 1.20),
- meson,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
+           Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper-compat (= 12),
+               libeet-bin,
+               libefl-all-dev (>= 1.26),
+               meson
 Standards-Version: 4.6.0
 Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
@@ -18,12 +17,11 @@
 
 Package: terminology
 Architecture: any
-Depends:
- libevas1-engines-wayland,
- libevas1-engines-x,
- terminology-data (= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: libevas1-engines-wayland,
+         libevas1-engines-x,
+         terminology-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: libelementary-bin, libemotion-players
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dtests=true
 
-override_dh_auto_build:
-	$(CURDIR)/debian/fake_home.sh dh_auto_build --verbose
-
 override_dh_install:
 	dh_install -XXFONT.txt -XTERMINUS.txt
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## terminology 1.13.0

=== debian/changelog ===
terminology (1.13.0-2~mx23+3) mx; urgency=medium

  * Rebuild for MX Linux against efl 1.28.1.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Mar 2025 17:13:51 -0700

terminology (1.13.0-2~mx23+2) mx; urgency=medium

  * Rebuild for MX Linux.
  * Rebuild for MX Linux against efl 1.28.0.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jan 2025 06:51:53 -0800

terminology (1.13.0-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add libunwind-dev to BD to avoid FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 19 Jan 2025 20:21:23 -0800

terminology (1.13.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Update standards version to 4.6.1, no changes needed.

  [ Ross Vandegrift ]
  * d/p/0003-termptyesc-handle-empty-CSI-SRG-38-48.patch: cherry-pick upstream
    fix for underline issue
    (Closes: #1033159)

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 24 Jun 2023 21:29:39 -0700

terminology (1.13.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/fix-del-backspace-key.patch: defuzz
  * d/p/0002-Fix-tests-for-debian-packaging: re-add
  * d/copyright: update

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 20 Dec 2022 14:37:01 -0800

terminology (1.12.1-3) unstable; urgency=medium

  * d/control: drop obsolete Suggests on libemotion-players
  * terminology-data.lintian-overrides: fix for new brackets

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 19 Sep 2022 22:49:07 -0700

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
            Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               libeet-bin,
-               libefl-all-dev (>= 1.26),
+Build-Depends: debhelper-compat (= 13),
+               libeet-bin (>= 1.28.0~),
+               libefl-all-dev (>= 1.28.0~),
+               libunwind-dev,
                meson
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/terminology
@@ -22,7 +23,7 @@
          terminology-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: libelementary-bin, libemotion-players
+Suggests: libelementary-bin
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator
  It emulates a slightly extended vt100 with some extensions and bling:

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,7 @@
 override_dh_install:
 	dh_install -XXFONT.txt -XTERMINUS.txt
 
+# No dbgsym packages:
 override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## terminology 1.14.0

=== meson_options.txt ===
--- 
+++ 
@@ -15,4 +15,4 @@
 option('nls',
        type: 'boolean',
        value: true,
-       description: 'enable localization: (default=true)')
+       description: 'enable localization. Requires libintl. (default=true)')

=== debian/changelog ===
terminology (1.14.0-1) unstable; urgency=medium

  * d/patches:
    - 0002-Fix-tests-for-debian-packaging.patch: adjust test hashes
    - 0003-termptyesc-handle-empty-CSI-SRG-38-48.patch: drop, applied upstream
    - fix-del-backspace-key.patch: defuzz
  * run autopkgtests with --debug, so hash differences are shown

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 21 Apr 2025 09:08:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: terminology
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders: Ross Vandegrift <rvandegrift@debian.org>,
-           Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               libeet-bin (>= 1.28.0~),
-               libefl-all-dev (>= 1.28.0~),
-               libunwind-dev,
-               meson
+Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Uploaders:
+ Ross Vandegrift <rvandegrift@debian.org>,
+ Andreas Metzler <ametzler@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libeet-bin,
+ libefl-all-dev (>= 1.26),
+ meson,
 Standards-Version: 4.6.1
 Homepage: https://www.enlightenment.org/about-terminology
 Vcs-Git: https://salsa.debian.org/pkg-e-team/terminology.git
@@ -18,11 +18,12 @@
 
 Package: terminology
 Architecture: any
-Depends: libevas1-engines-wayland,
-         libevas1-engines-x,
-         terminology-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ libevas1-engines-wayland,
+ libevas1-engines-x,
+ terminology-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Suggests: libelementary-bin
 Provides: x-terminal-emulator
 Description: Enlightenment efl based terminal emulator

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,3 @@
 
 override_dh_install:
 	dh_install -XXFONT.txt -XTERMINUS.txt
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Test-Command: /usr/bin/env HOME=$(mktemp -d)
 /usr/libexec/terminology/tests/run_tests.sh -v --debug
 -t /usr/libexec/$(dpkg-architecture -qDEB_HOST_MULTIARCH)/terminology/tytest
 -r /usr/share/terminology/tests/tests.results
 -d /usr/libexec/terminology/tests
Depends: gcc, terminology

=== debian/watch ===
version=4
https://download.enlightenment.org/rel/apps/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
